ARG BASEIMG=registry.gitlab.com/ecocommons-australia/lib/django-func-utils
ARG BASEIMG_VERSION=main
FROM ${BASEIMG}:${BASEIMG_VERSION}

USER root

RUN mkdir -p /srv/app
WORKDIR /srv/app

COPY requirements.txt /srv/app
RUN pip install --no-cache-dir -r requirements.txt

COPY ./src /srv/app

ARG BUILD_ID
ENV BUILD_ID=$BUILD_ID

# Unsetting PYTHONPATH ensures django-func-utils is the
# version specified in requirements.txt (not the base image)
ENV PYTHONPATH=''